Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.events
Class EventTaskContext

    java.lang.Object
      org.jbpm.services.task.events.EventTaskContext

All Implemented Interfaces:
  TaskContext, org.kie.internal.command.Context

    public class EventTaskContext

extends Object
implements org.kie.internal.task.api.TaskContext

Constructor Summary
`EventTaskContext()`
`EventTaskContext(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)`

Method Summary
`Object` | `get(String identifier)`
`org.kie.internal.command.World` | `getContextManager()`
`String` | `getName()`
`org.kie.internal.task.api.TaskPersistenceContext` | `getPersistenceContext()`
`UserGroupCallback` | `getUserGroupCallback()`
`void` | `remove(String identifier)`
`void` | `set(String identifier, Object value)`
`void` | `setPersistenceContext(org.kie.internal.task.api.TaskPersistenceContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventTaskContext

    public EventTaskContext()

### EventTaskContext

    public EventTaskContext(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)

Method Detail

### getContextManager

    public org.kie.internal.command.World getContextManager()

  Specified by:
    `getContextManager` in interface `org.kie.internal.command.Context`

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.kie.internal.command.Context`

### get

    public Object get(String identifier)

  Specified by:
    `get` in interface `org.kie.internal.command.Context`

### set

    public void set(String identifier,
                    Object value)

  Specified by:
    `set` in interface `org.kie.internal.command.Context`

### remove

    public void remove(String identifier)

  Specified by:
    `remove` in interface `org.kie.internal.command.Context`

### getPersistenceContext

    public org.kie.internal.task.api.TaskPersistenceContext getPersistenceContext()

### setPersistenceContext

    public void setPersistenceContext(org.kie.internal.task.api.TaskPersistenceContext context)

### getUserGroupCallback

    public UserGroupCallback getUserGroupCallback()

  Specified by:
    `getUserGroupCallback` in interface `TaskContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.